ST_XMin
Prev | 8.17. Bounding Box Functions | Next

## Name

ST_XMin — Returns the X minima of a 2D or 3D bounding box or a geometry.

## Synopsis

`float ST_XMin(`box3d aGeomorBox2DorBox3D`)`;

## Description

Returns the X minima of a 2D or 3D bounding box or a geometry.

Although this function is only defined for box3d, it also works for box2d and geometry values due to automatic casting. However it will not accept a geometry or box2d text representation, since those do not auto-cast.

This function supports 3d and will not drop the z-index.

This method supports Circular Strings and Curves

## Examples

    SELECT ST_XMin('BOX3D(1 2 3, 4 5 6)');
    st_xmin
    -------
    1

    SELECT ST_XMin(ST_GeomFromText('LINESTRING(1 3 4, 5 6 7)'));
    st_xmin
    -------
    1

    SELECT ST_XMin(CAST('BOX(-3 2, 3 4)' As box2d));
    st_xmin
    -------
    -3
    --Observe THIS DOES NOT WORK because it will try to auto-cast the string representation to a BOX3D
    SELECT ST_XMin('LINESTRING(1 3, 5 6)');

    --ERROR:  BOX3D parser - doesn't start with BOX3D(

    SELECT ST_XMin(ST_GeomFromEWKT('CIRCULARSTRING(220268 150415 1,220227 150505 2,220227 150406 3)'));
    st_xmin
    --------
    220186.995121892

## See Also

ST_XMax, ST_YMax, ST_YMin, ST_ZMax, ST_ZMin

Prev | Up | Next
ST_XMax | Home | ST_YMax